Pacific Fighters v4.01 Patch

Versions 4.01 and 4.01m are not compatible with each other when playing over the network
Click on appropriate link to download the patch for your versions of Pacific Fighters - the merged versions are for Forgotten Battles, Ace Expansion Pack and Pacific Fighters pack are also available. The current version 4.01 (4.01m) is not compatible with the previous versions of the game when playing over the network (Online). Both the server and client must have the appropriate versions in order to connect. Press 'read more' for changelog.